mjtppf 发表于 2006-8-28 15:12:00

[求助]求两条曲线的交点

<P><FONT face=宋体 size=2>ARX求两条曲线的交点有什么方法,用到哪些类?请帮忙,谢谢!</FONT></P>
<P><FONT face=宋体 size=2></FONT><FONT face=宋体 size=2><BR>另,高手提示一下“拷贝”,旋转,镜像,剪切等要用到哪些函数,用到哪些类?</P>
<P>给点提示吧,高手不要一来就让看帮助。没有眉目,不知道从哪里下手。期待中......</FONT></P>

haill2000 发表于 2006-8-29 17:30:00

<P>买本计算机图形学看看,或者在网上找找</P>

shinjikun 发表于 2006-8-30 14:34:00

<P>virtual Acad::ErrorStatus</P>
<P>AcDbEntity::intersectWith(</P>
<P>const AcDbEntity* pEnt,</P>
<P>AcDb::Intersect intType,</P>
<P>AcGePoint3dArray&amp; points,</P>
<P>int thisGsMarker = 0,</P>
<P>int otherGsMarker = 0) const;</P>
<P>pEnt&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Input entity with which "this" entity is to intersect </P>
<P>intType&nbsp;&nbsp; Input type of intersection requested </P>
<P>points&nbsp;&nbsp;&nbsp; Output with the points of intersection appended </P>
<P>thisGsMarker Input GS marker of subentity of "this" entity that's involved in the intersection operation. Use the 0 default if not applicable. </P>
<P>otherGsMarker Input GS marker of subentity of the entity pointed to by pEnt that's involved in the intersection operation. Use the 0 default if not applicable.</P>
<P>使用这个函数可以求得任意两个图元的所有交点。详情见SDK文档</P>
<P>拷贝,镜像使用getTransformedCopy():</P>
<P class=signature>virtual Acad::ErrorStatus<BR>getTransformedCopy(<BR>const AcGeMatrix3d&amp; xform,<BR>AcDbEntity*&amp; pEnt) const;</P>
<P class=signature>xform是这个图元的变化矩阵,详情见SDK文档AcGeMatrix3d条目</P>
<P class=signature>第二个参数是一个指针,在你使用这个函数的时候,必须给它一个空的指针变量,它将地址返回给你的变量:</P>
<P class=signature><FONT size=2>旋转使用AcDbEntity::transformBy函数:</P>
<P class=signature>virtual Acad::ErrorStatus<BR>transformBy(<BR>const AcGeMatrix3d&amp; xform);<BR></P>
<P class=signature>xform是变换矩阵</P>
<P class=signature>剪切只能使用trim命令</P></FONT>
页: [1]
查看完整版本: [求助]求两条曲线的交点